EulerOS 2.0 SP8 : squashfs-tools (EulerOS-SA-2019-2092)

Medium Nessus Plugin ID 129451

Synopsis

The remote EulerOS host is missing multiple security updates.

Description

According to the versions of the squashfs-tools package installed, the EulerOS installation on the remote host is affected by the following vulnerabilities :

- Integer overflow in the read_fragment_table_4 function in unsquash-4.c in Squashfs and sasquatch allows remote attackers to cause a denial of service (application crash) via a crafted input, which triggers a stack-based buffer overflow.(CVE-2015-4645)

- (1) unsquash-1.c, (2) unsquash-2.c, (3) unsquash-3.c, and (4) unsquash-4.c in Squashfs and sasquatch allow remote attackers to cause a denial of service (application crash) via a crafted input.(CVE-2015-4646)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected squashfs-tools packages.

See Also

http://www.nessus.org/u?868dce13

Plugin Details

Severity: Medium

ID: 129451

File Name: EulerOS_SA-2019-2092.nasl

Version: 1.1

Type: local

Published: 2019/09/30

Updated: 2019/09/30

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:U/RC:ND

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:squashfs-tools, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2019/09/29

Reference Information

CVE: CVE-2015-4645, CVE-2015-4646

BID: 75272